/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2010 Bull S.A.S.
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.ow2.jonas.cdi.weld.internal.ejb;

import java.lang.reflect.Method;
import java.util.Collection;

import org.jboss.weld.ejb.spi.BusinessInterfaceDescriptor;
import org.jboss.weld.ejb.spi.EjbDescriptor;

/**
 * Created by IntelliJ IDEA.
 * User: sauthieg
 * Date: 8 févr. 2010
 * Time: 15:05:09
 * To change this template use File | Settings | File Templates.
 */
public class JEjbDescriptor<T> implements EjbDescriptor<T> {
    /**
     * Gets the EJB type
     *
     * @return The EJB Bean class
     */
    public Class<T> getBeanClass() {
        return null;  //To change body of implemented methods use File | Settings | File Templates.
    }

    /**
     * Gets the local business interfaces of the EJB
     *
     * @return An iterator over the local business interfaces
     */
    public Collection<BusinessInterfaceDescriptor<?>> getLocalBusinessInterfaces() {
        return null;  //To change body of implemented methods use File | Settings | File Templates.
    }

    /**
     * Get the EJB name
     *
     * @return
     */
    public String getEjbName() {
        return null;  //To change body of implemented methods use File | Settings | File Templates.
    }

    /**
     * Get the remove methods of the EJB
     *
     * @return An iterator over the remove methods
     */
    public Collection<Method> getRemoveMethods() {
        return null;  //To change body of implemented methods use File | Settings | File Templates.
    }

    /**
     * Indicates if the bean is a stateless session bean
     *
     * @return True if stateless, false otherwise
     */
    public boolean isStateless() {
        return false;  //To change body of implemented methods use File | Settings | File Templates.
    }

    /**
     * Indicates if the bean is a EJB 3.1 Singleton session bean
     *
     * @return True if the bean is a singleton, false otherwise
     */
    public boolean isSingleton() {
        return false;  //To change body of implemented methods use File | Settings | File Templates.
    }

    /**
     * Indicates if the EJB is a stateful session bean
     *
     * @return True if the bean is stateful, false otherwise
     */
    public boolean isStateful() {
        return false;  //To change body of implemented methods use File | Settings | File Templates.
    }

    /**
     * Indicates if the EJB is an MDB
     *
     * @return True if the bean is an MDB, false otherwise
     */
    public boolean isMessageDriven() {
        return false;  //To change body of implemented methods use File | Settings | File Templates.
    }
}
